## percona-xtrabackup 8.0.35-30

=== debian/changelog ===
percona-xtrabackup (8.0.35-30-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:31 +1100

percona-xtrabackup (8.0.35-30-0ubuntu4) noble; urgency=medium

  * Rebuild against new libaio1t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 17:06:54 +0100

percona-xtrabackup (8.0.35-30-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:53:54 +0000

percona-xtrabackup (8.0.35-30-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:21:51 +0000

percona-xtrabackup (8.0.35-30-0ubuntu1) noble; urgency=medium

  * Initial release (LP: #2003312)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 29 Feb 2024 03:01:43 -0700
