=== debian/control ===
Source: percona-xtrabackup
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Build-Depends: automake,
               bison,
               ca-certificates,
               cmake,
               debhelper (>= 13~),
               fakeroot,
               help2man,
               libaio-dev,
               libcurl4-openssl-dev,
               libncurses-dev,
               libgcrypt-dev,
               libev-dev,
               libproc2-dev,
               libprotobuf-dev,
               libprotoc-dev,
               libsasl2-dev,
               libssl-dev,
               libtool,
               libudev-dev,
               libz-dev,
               libzstd-dev,
               lsb-release,
               mysql-source-8.0,
               pkgconf,
               protobuf-compiler,
               python3-docutils (>= 0.16),
               python3-sphinx (>= 1.8.5),
               vim-common,
               xxd,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 4.6.2
Homepage: http://www.percona.com/software/percona-xtrabackup

Package: percona-xtrabackup
Architecture: any
Depends: libdbd-mysql-perl, libcurl4-openssl-dev, rsync, ${misc:Depends}, ${shlibs:Depends}
Enhances: mysql-server
Description: Open source backup tool for InnoDB and XtraDB
 Percona XtraBackup is an open-source hot backup utility for MySQL that
 doesn't lock your database during the backup. It can back up data from
 InnoDB, XtraDB and MyISAM tables on MySQL/Percona Server/MariaDB
 servers, and has many advanced features.
