=== debian/tests/control ===
Tests: smoke
Depends: percona-xtrabackup

Tests: fullbackup
Depends: percona-xtrabackup, mysql-server
Restrictions: needs-root
