## percona-xtrabackup 8.0.35-31

=== debian/changelog ===
percona-xtrabackup (8.0.35-31-0ubuntu1) oracular; urgency=medium

  * New upstream version 8.0.35-31
    - Updates:
      + Upstream support for ARM64 architecture
    - Bug Fixes:
      + Fix config generation for tables with temporal datatypes when charset
        is changed
      + Fix schema mismatch when importing table with full-text index
      + Fix backups against mysql 8.0.30
    - For more info see
      https://docs.percona.com/percona-xtrabackup/8.0/release-notes/8.0/8.0.35-31.0.html
  * Fix stderr in autopkgtests
    By default, xtrabackup sends notes and version information to stderr, which
    causes autopkgtests to fail. This fix updates the smoke test and control
    file to allow the tests to succeed.
    - d/t/control: Allow stderr in fullbackup test
    - d/t/smoke: Send xtrabackup version output to stdout

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 08 Aug 2024 11:56:05 -0700
