## percona-xtrabackup 8.4.0-1

=== debian/changelog ===
percona-xtrabackup (8.4.0-1-0ubuntu1) plucky; urgency=medium

  * New upstream version 8.4.0-1 (LP: #2089059)
  * d/control, d/rules: Remove mysql-source dependency - no longer needed
    Xtrabackup originally used mysql-source to match MySQL's vendored boost
    version. However, it now includes boost 1.84 within its own upstream. Use
    that one instead.
  * d/watch: Update to Xtrabackup 8.4 repository
  * d/copyright: Add new boost files
  * Remove 32-bit support to match 32-bit MySQL 8.4 server removal
    - d/control: Remove 32-bit architectures
    - d/p/fix-32bit-builds.patch: Remove - no longer needed

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 21 Nov 2024 12:25:45 -0700
