=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
                libz-dev,
                libzstd-dev,
                lsb-release,
-               mysql-source-8.0,
                pkgconf,
                protobuf-compiler,
                python3-docutils (>= 0.16),
@@ -37,7 +36,7 @@
 Homepage: http://www.percona.com/software/percona-xtrabackup
 
 Package: percona-xtrabackup
-Architecture: any
+Architecture: amd64 arm64 s390x ppc64el riscv64
 Depends: libdbd-mysql-perl, libcurl4-openssl-dev, rsync, ${misc:Depends}, ${shlibs:Depends}
 Enhances: mysql-server
 Description: Open source backup tool for InnoDB and XtraDB
