=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_auto_configure:
-	tar -zxpf /usr/src/mysql/mysql-source-8.0.tar.gz -C ..
 	mkdir release && cd release && \
 	  cmake .. -DBUILD_CONFIG=xtrabackup_release \
 	  -DINSTALL_PLUGINDIR=lib/xtrabackup/plugin -DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
-	  -DDOWNLOAD_BOOST=0 -DWITH_BOOST=../../mysql-8.0/boost/boost_1_77_0 \
+	  -DDOWNLOAD_BOOST=0 -DWITH_BOOST=../extra/boost/boost_1_84_0 \
 	  -DWITH_SSL=system -DWITH_PROTOBUF=system -DWITH_ZLIB=system -DWITH_ZSTD=system
 
 override_dh_auto_build:
