## percona-xtrabackup 8.4.0-5

=== debian/changelog ===
percona-xtrabackup (8.4.0-5-0ubuntu1) resolute; urgency=medium

  * New upstream version 8.4.0-5
  * d/control: Use debhelper-compat dependency

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 12 Jan 2026 17:54:51 -0500
