=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                bison,
                ca-certificates,
                cmake,
-               debhelper (>= 13~),
+               debhelper-compat (= 13),
                fakeroot,
                help2man,
                libaio-dev,
